org.apache.flume.channel.file

## Class LogFile.SequentialReader

- java.lang.Object
- - org.apache.flume.channel.file.LogFile.SequentialReader

- Direct Known Subclasses:
    LogFileV3.SequentialReader
  Enclosing class:
    LogFile

      public abstract static class LogFile.SequentialReader
      extends Object

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `protected RandomAccessFile` | `getFileHandle()`
    `protected KeyProvider` | `getKeyProvider()`
    `long` | `getPosition()`
    `LogRecord` | `next()`
    `protected void` | `setLastCheckpointPosition(long lastCheckpointPosition)`
    `protected void` | `setLastCheckpointWriteOrderID(long lastCheckpointWriteOrderID)`
    `protected void` | `setLogFileID(int logFileID)`
    `protected void` | `setPreviousCheckpointPosition(long backupCheckpointPosition)`
    `protected void` | `setPreviousCheckpointWriteOrderID(long backupCheckpointWriteOrderID)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### setLastCheckpointPosition

          protected void setLastCheckpointPosition(long lastCheckpointPosition)

    - #### setLastCheckpointWriteOrderID

          protected void setLastCheckpointWriteOrderID(long lastCheckpointWriteOrderID)

    - #### setPreviousCheckpointPosition

          protected void setPreviousCheckpointPosition(long backupCheckpointPosition)

    - #### setPreviousCheckpointWriteOrderID

          protected void setPreviousCheckpointWriteOrderID(long backupCheckpointWriteOrderID)

    - #### setLogFileID

          protected void setLogFileID(int logFileID)

    - #### getKeyProvider

          protected KeyProvider getKeyProvider()

    - #### getFileHandle

          protected RandomAccessFile getFileHandle()

    - #### next

          public LogRecord next()
                         throws IOException,
                                CorruptEventException

      Throws:
        `IOException`
        `CorruptEventException`

    - #### getPosition

          public long getPosition()
                           throws IOException

      Throws:
        `IOException`

    - #### close

          public void close()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.